View Issue Details

IDProjectCategoryView StatusLast Update
0001271SketcherFeaturepublic2019-05-03 12:47
Reporterbejant Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status confirmedResolutionopen 
Product Version0.13 
Target Version0.19Fixed in Version 
Summary0001271: Allow User to Toggle Automatic Grid Sizeing in Sketcher On and Off
DescriptionShamelessly copied from the forum topic referenced below:

"I wish there was a feature where you set it so that the grid covers the entireity of the sketcher view, instead of just a bit near the most recent sketch. Basically, when I try and draw something right now the grid goes away except near the object, so if I draw a 1mm square box on a 1mm grid, and then want to draw another box next to it, the grid goes away entirely. What I am having to do now is draw a huge box around everything, just to keep my grid, then draw my sketch, then erase the huge box."

https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=19&t=4659&start=0&sid=ccf9198913c5b711c7f8c59ce330d136
or

https://forum.freecadweb.org/viewtopic.php?f=19&t=4659&start=0&sid=ccf9198913c5b711c7f8c59ce330d136
Additional InformationSome users may prefer the automatic sizing feature, and if automatic sizing was done to reduce CPU processing time, maybe a toggle box in the Edit Controls area (directly below the Sketcher Solver area)? A screen grab of this area is attached.
Tagsgrid
FreeCAD Information

Relationships

related to 0001658 closed Sketcher Sketcher: Grid vanishes when drawing horizontal polyline on horizontal sketcher line 
has duplicate 0002734 closed FreeCAD Partial sketch grid 

Activities

yorik

2013-11-04 13:30

administrator  

20131012a.png (32,386 bytes)
20131012a.png (32,386 bytes)

raulshc

2013-11-16 18:19

reporter   ~0003888

Last edited: 2013-11-16 18:19

View 2 revisions

This issue is related with 0001049 : Sketcher preferences in preferences editor.

wmayer

2015-03-23 09:42

administrator   ~0005928

See also http://forum.freecadweb.org/viewtopic.php?f=3&t=10203&start=10#p82464

wmayer

2016-12-01 19:41

administrator   ~0007501

See also http://forum.freecadweb.org/viewtopic.php?f=13&t=18771
Possible solution: depending on zoom level and screen size compute the number of grids. If zoomed out too much use an upper limit based on resolution.

Kunda1

2017-03-13 13:51

administrator   ~0008619

Mentioned again in https://forum.freecadweb.org/viewtopic.php?f=3&t=21286&p=165096#p165096

Kunda1

2017-03-21 12:50

administrator   ~0008679

Resolved dupe of this ticket (0002734)

abdullah

2018-10-06 14:52

manager   ~0011945

Solving a different ticket, I have implemented a dynamic grid size enlarging.

It is not exactly what the reporter requests, but maybe it (partly)fulfils the needs.

Basically, the grid is expanded to surpase the biggest object drawn so far (to the next 10 power, so 5 mm => 10 mm, 50mm => 100mm).

Additionally the grid is now always symetric on the two planes. Before it gave odd representations.

This implementation is now in master and in the PPA.

kevlevrone

2019-05-03 12:47

reporter   ~0013078

Open the file.
Create a new sketch, XY plane.
Toggle construction mode On.
Make sure Auto Remove Redundant is Off
Carbon Copy Sketch005 - constraints 21,24 are showed as redundant.
Undo https://goo.gl/KyvnZF
Toggle construction mode Off.
Carbon Copy Sketch005 - no redundant constraints.

Issue History

Date Modified Username Field Change
2013-10-12 15:28 bejant New Issue
2013-10-12 15:28 bejant File Added: 20131012a.png
2013-11-04 13:30 yorik File Deleted: 20131012a.png
2013-11-04 13:30 yorik File Added: 20131012a.png
2013-11-16 18:19 raulshc Note Added: 0003888
2013-11-16 18:19 raulshc Note Edited: 0003888 View Revisions
2014-08-01 15:31 wmayer Relationship added related to 0001658
2015-03-23 09:42 wmayer Note Added: 0005928
2016-10-19 17:10 wmayer Relationship added has duplicate 0002734
2016-12-01 19:41 wmayer Note Added: 0007501
2017-01-26 21:19 Kunda1 Description Updated View Revisions
2017-03-13 13:51 Kunda1 Note Added: 0008619
2017-03-13 13:51 Kunda1 Description Updated View Revisions
2017-03-13 13:53 Kunda1 Tag Attached: grid
2017-03-21 12:50 Kunda1 Note Added: 0008679
2018-08-26 11:25 Kunda1 Status new => confirmed
2018-10-06 14:52 abdullah Note Added: 0011945
2018-10-06 15:20 abdullah Target Version => 0.18
2018-11-01 15:32 abdullah Target Version 0.18 => 0.19
2019-05-03 12:47 kevlevrone Note Added: 0013078